Cotar frete
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code} \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso.",
"data": {
"type": "shipping_company",
"freights": [
{
"method": "pac",
"value": 3462,
"days": 8
},
{
"method": "sedex",
"value": 7593,
"days": 3
}
]
}
}Frete
Cotar frete
Calcula o frete para uma oferta específica baseado no CEP de destino.
Parâmetros:
offer_code- Código da ofertazip_code- CEP de destino (formato: 8 dígitos, sem hífen)
Retorna:
- Lista de opções de frete disponíveis (PAC, SEDEX, etc.)
- Valores arredondados em centavos
- Prazos de entrega em dias úteis
GET
/
freight
/
offer
/
{offer_code}
/
zipcode
/
{zip_code}
Cotar frete
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code} \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/freight/offer/{offer_code}/zipcode/{zip_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso retornado com sucesso.",
"data": {
"type": "shipping_company",
"freights": [
{
"method": "pac",
"value": 3462,
"days": 8
},
{
"method": "sedex",
"value": 7593,
"days": 3
}
]
}
}Authorizations
Token de autenticação do cliente obtido via endpoint /auth
Path Parameters
Código da oferta
CEP de destino (8 dígitos, sem hífen)
Pattern:
^\d{8}$